Bug 1408857 - jansi-native: Java reproducibly crashed on deal with ANSI colors [NEEDINFO]
Summary: jansi-native: Java reproducibly crashed on deal with ANSI colors
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: jansi-native
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-27 19:49 UTC by Pavel Alexeev
Modified: 2017-12-12 10:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:24:02 UTC
Type: Bug
mizdebsk: needinfo? (pahan)


Attachments (Terms of Use)
Java crash log (142.29 KB, text/plain)
2016-12-27 19:49 UTC, Pavel Alexeev
no flags Details

Description Pavel Alexeev 2016-12-27 19:49:25 UTC
Created attachment 1235536 [details]
Java crash log

Description of problem:

If on gradle version > 3.1 I setup any jvm arguments like:
org.gradle.jvmargs=-Xms256m -Xmx1024m -Dfile.encoding=utf-8

to honor it gradle fork separate machine.


On top of stack always:
Stack: [0x00007f5e5d63c000,0x00007f5e5d73d000],  sp=0x00007f5e5d737190,  free space=1004k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
V  [libjvm.so+0x68523f]
C  [libjansi.so+0xf38]  Java_org_fusesource_jansi_internal_CLibrary_init+0x108
j  org.fusesource.jansi.internal.CLibrary.<clinit>()V+21

According to call Java_org_fusesource_jansi_internal_CLibrary_init I do assumption it is because of ANSI colors output handling.

Version-Release number of selected component (if applicable):
$ rpm -qa java\*openjdk\*
java-1.8.0-openjdk-devel-1.8.0.111-4.b16.fc25.x86_64
java-1.8.0-openjdk-1.8.0.111-4.b16.fc25.x86_64
java-1.8.0-openjdk-headless-1.8.0.111-4.b16.fc25.x86_64

How reproducible:
Always.
But unfortunately I have no small demonstration of code…

Comment 1 Mario Torre 2017-01-27 16:46:51 UTC
The crash seems to be caused by libjansi.so, so it may be in that library native code, I'm moving the bug for now.

Comment 2 Pavel Alexeev 2017-02-11 16:42:39 UTC
Did you some research on that problem?

Comment 3 Pavel Alexeev 2017-02-21 09:45:09 UTC
Guys this prevent from updating gradle in projects. Could you please look on it?

Comment 4 Pavel Alexeev 2017-03-01 14:15:23 UTC
I little dig into problem and it seams more like gradle issue instead of java itself: https://github.com/gradle/gradle/issues/778#issuecomment-283348494

Comment 5 Fedora Admin XMLRPC Client 2017-06-19 07:40:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Mikolaj Izdebski 2017-09-14 11:19:46 UTC
Does the crash happen with JANSI shipped by Fedora? Anyway, without reproducer I won't be able to do much.

Comment 7 Mikolaj Izdebski 2017-09-14 11:22:16 UTC
I can see that JANSI library is not the one shipped by us, it is from /home/pasha/.gradle/native/jansi/1.14/linux64/libjansi.so
So it's not a problem with jansi packages.

Comment 8 Fedora End Of Life 2017-11-16 19:23:04 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:24:02 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.